package com.pwt.netty.common.vehicle2old.server;

import com.pwt.netty.common.vehicle2old.ResponseData;
import io.netty.buffer.ByteBuf;

/***
 * 度电响应数据
 */
public class PowerResponseData extends ResponseData {

    /**
     * 站点状态
     */
    private int stationStatus;

    @Override
    protected void encodeInternal(ByteBuf byteBuf) {
        byteBuf.writeByte(stationStatus);
    }

    @Override
    protected void decodeInternal(ByteBuf byteBuf) {
        this.stationStatus = byteBuf.readUnsignedByte();
    }
}
